body {
    font-family: Arial, sans-serif;
    background-color: #f4f4f4;
    margin: 0;
    padding: 0;
    display: flex;
    flex-direction: column;
    align-items: center;
}

h1 {
    color: #333;
}

form {
    background: #fff;
    padding: 20px;
    margin: 20px 0;
    border-radius: 8px;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
    width: 300px;
    display: flex;
    flex-direction: column;
}

input, select, button {
    margin-bottom: 10px;
    padding: 10px;
    border: 1px solid #ccc;
    border-radius: 4px;
}

button {
    background-color: #28a745;
    color: #fff;
    border: none;
    cursor: pointer;
}

button:hover {
    background-color: #218838;
}

table {
    width: 80%;
    margin: 20px 0;
    border-collapse: collapse;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
}

th, td {
    padding: 10px;
    border: 1px solid #ddd;
    text-align: left;
}

.delete-button {
    background-color: red;
    color: white;
    border: none;
    padding: 5px 10px;
    cursor: pointer;
    border-radius: 5px;
}
.delete-button i {
    margin-right: 5px;
}
.delete-button:hover {
    background-color: darkred;
}
/* Media queries for responsiveness */
@media (max-width: 600px) {
    form {
        width: 90%;
        padding: 15px;
    }

    input, select, button {
        padding: 8px;
        font-size: 14px;
    }

    table {
        width: 100%;
        margin: 10px 0;
    }

    th, td {
        padding: 8px;
        font-size: 14px;
    }

    thead {
        display: none;
    }

    tr {
        display: block;
        margin-bottom: 10px;
        border: 1px solid #ddd;
        border-radius: 8px;
        padding: 10px;
        background-color: #fff;
        box-shadow: 0 0 10px rgba(0, 0, 0, 0.05);
    }

    td {
        display: flex;
        justify-content: space-between;
        align-items: center;
        border: none;
        border-bottom: 1px solid #ddd;
        padding: 8px 0;
    }

    td:before {
        content: attr(data-label);
        font-weight: bold;
        flex-basis: 50%;
        text-align: left;
        padding-right: 10px;
    }

    td:last-child {
        border-bottom: none;
    }
}
